Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.web.context.support
Class SpringBeanAutowiringSupport

    java.lang.Object
      org.springframework.web.context.support.SpringBeanAutowiringSupport

    public abstract class SpringBeanAutowiringSupport

extends java.lang.Object

Convenient base class for self-autowiring classes that gets constructed within a Spring-based web application. Resolves `@Autowired` annotations in the endpoint class against beans in the current Spring root web application context (as determined by the current thread's context ClassLoader, which needs to be the web application's ClassLoader). Can alternatively be used as a delegate instead of as a base class.

A typical usage of this base class is a JAX-WS endpoint class: Such a Spring-based JAX-WS endpoint implementation will follow the standard JAX-WS contract for endpoint classes but will be 'thin' in that it delegates the actual work to one or more Spring-managed service beans - typically obtained using `@Autowired`. The lifecycle of such an endpoint instance will be managed by the JAX-WS runtime, hence the need for this base class to provide `@Autowired` processing based on the current Spring context.

NOTE: If there is an explicit way to access the ServletContext, prefer such a way over using this class. The `WebApplicationContextUtils` class allows for easy access to the Spring root web application context based on the ServletContext.

Since:
  2.5.1
Author:
  Juergen Hoeller
See Also:
  `WebApplicationObjectSupport`

Constructor Summary
`SpringBeanAutowiringSupport()` This constructor performs injection on this instance, based on the current web application context.

Method Summary
`static void` | `processInjectionBasedOnCurrentContext(java.lang.Object target)` Process `@Autowired` injection for the given target object, based on the current web application context.
`static void` | `processInjectionBasedOnServletContext(java.lang.Object target, javax.servlet.ServletContext servletContext)` Process `@Autowired` injection for the given target object, based on the current root web application context as stored in the ServletContext.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SpringBeanAutowiringSupport

    public SpringBeanAutowiringSupport()

  This constructor performs injection on this instance, based on the current web application context.

  Intended for use as a base class.

  See Also:
    `processInjectionBasedOnCurrentContext(java.lang.Object)`

Method Detail

### processInjectionBasedOnCurrentContext

    public static void processInjectionBasedOnCurrentContext(java.lang.Object target)

  Process `@Autowired` injection for the given target object, based on the current web application context.

  Intended for use as a delegate.

  Parameters:
    `target` - the target object to process
  See Also:
    `ContextLoader.getCurrentWebApplicationContext()`

### processInjectionBasedOnServletContext

    public static void processInjectionBasedOnServletContext(java.lang.Object target,
                                                             javax.servlet.ServletContext servletContext)

  Process `@Autowired` injection for the given target object, based on the current root web application context as stored in the ServletContext.

  Intended for use as a delegate.

  Parameters:
    `target` - the target object to process
    `servletContext` - the ServletContext to find the Spring web application context in
  See Also:
    `WebApplicationContextUtils.getWebApplicationContext(javax.servlet.ServletContext)`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD